org.apache.commons.beanutils.locale

## Interface LocaleConverter

- All Superinterfaces:
    Converter
  All Known Implementing Classes:
    BaseLocaleConverter, BigDecimalLocaleConverter, BigIntegerLocaleConverter, ByteLocaleConverter, DateLocaleConverter, DecimalLocaleConverter, DoubleLocaleConverter, FloatLocaleConverter, IntegerLocaleConverter, LongLocaleConverter, ShortLocaleConverter, SqlDateLocaleConverter, SqlTimeLocaleConverter, SqlTimestampLocaleConverter, StringLocaleConverter

      public interface LocaleConverter
      extends Converter

  General purpose locale-sensitive data type converter that can be registered and used within the BeanUtils package to manage the conversion of objects from one type to another.

  Version:
    $Id: LocaleConverter.java 1747095 2016-06-07 00:27:52Z ggregory $

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `convert(Class<T> type, Object value, String pattern)` Convert the specified locale-sensitive input object into an output object of the specified type.

    - ### Methods inherited from interface org.apache.commons.beanutils.Converter

      `convert`

- - ### Method Detail

    - #### convert

          <T> T convert(Class<T> type,
                        Object value,
                        String pattern)

      Convert the specified locale-sensitive input object into an output object of the specified type.
      Type Parameters:
        `T` - The desired target type of the conversion
      Parameters:
        `type` - Data type to which this value should be converted
        `value` - The input value to be converted
        `pattern` - The user-defined pattern is used for the input object formatting.
      Returns:
        The converted value
      Throws:
        `ConversionException` - if conversion cannot be performed successfully or if the target type is not supported

Copyright © 2000–2016 The Apache Software Foundation. All rights reserved.